=== modified file 'revisionmenu.py'
--- revisionmenu.py	2007-11-03 02:23:43 +0000
+++ revisionmenu.py	2007-11-03 15:58:52 +0000
@@ -24,6 +24,7 @@
 import bzrlib
 import gtk
 from bzrlib import (errors, ui)
+from bzrlib.revision import NULL_REVISION
 
 class RevisionPopupMenu(gtk.Menu):
     def __init__(self, repository, revids, branch=None, wt=None):
@@ -73,7 +74,7 @@
         parentids = self.repository.revision_parents(self.revids[0])
 
         if len(parentids) == 0:
-            parentid = None
+            parentid = NULL_REVISION
         else:
             parentid = parentids[0]
 

=== modified file 'viz/treeview.py'
--- viz/treeview.py	2007-11-03 02:19:54 +0000
+++ viz/treeview.py	2007-11-03 15:58:52 +0000
@@ -17,6 +17,7 @@
 from linegraph import linegraph, same_branch
 from graphcell import CellRendererGraph
 from treemodel import TreeModel
+from bzrlib.revision import NULL_REVISION
 
 class TreeView(gtk.ScrolledWindow):
 
@@ -152,6 +153,10 @@
         window = DiffWindow(parent=self)
 
         rev_tree    = branch.repository.revision_tree(revid)
+
+        if parentid is None:
+            parentid = NULL_REVISION
+
         parent_tree = branch.repository.revision_tree(parentid)
 
         description = revid + " - " + branch.nick

